scaladoc(1)

NAME

scaladoc - Documentation generator for the Scala 2 language

SYNOPSIS

scaladoc [ <options> ] <source files>

PARAMETERS

<options>
    Command line options. See OPTIONS below.

<source files>
    One or more source files to be compiled (such as MyClass.scala).

DESCRIPTION

The scaladoc tool reads class and object definitions, written in the Scala 2 programming language, and generates their API as HTML files.

By default, the generator puts each HTML file in the same directory as its source file. You can specify a separate destination directory with -d (see OPTIONS, below).

Supported tag comments are:

    @author

    @deprecated

    @exception (two arguments)

    @param (two arguments)

    @pre

    @return

    @see

    @since

    @throws (two arguments)

    @todo

    @version

See also online document "How to Write Doc Comments for the Javadoc Tool" from Sun.

OPTIONS

The generator has a set of standard options that are supported on the current development environment and will be supported in future releases.

  Standard Options

-d <directory>
    Specify where to place generated class files.

-access:<access>
    Show only public, protected/public (default) or all classes and members (public,protected,private)

-windowtitle <windowtitle>
    Specify window title of generated HTML documentation

-doctitle <doctitle>
    Include title for the overview page

-stylesheetfile <stylesheetfile>
    File to change style of the generated documentation

-header <pageheader>
    Include header text for each page

-footer <pagefooter>
    Include footer text for each page

-top <pagetop>
    Include top text for each page

-bottom <pagebottom>
    Include bottom text for each page

-version
    Print product version and exit.

-help
    Print a synopsis of standard options.

EXAMPLES

Generate documentation for a Scala program
    scaladoc HelloWorld.scala

Generation documentation for a Scala program to the destination directory classes
    scaladoc -d api HelloWorld.scala

Generate documentation for all Scala files found in the source directory src to the destination directory api
    scaladoc -d api src/*.scala

EXIT STATUS

scaladoc returns a zero exist status if it succeeds to process the specified input files. Non zero is returned in case of failure.

AUTHOR

Written by Martin Odersky and other members of the Scala team.

REPORTING BUGS

Report bugs to <scala@listes.epfl.ch>.

COPYRIGHT

This is open-source software, available to you under a BSD-like license. See accomponying "copyright" or "LICENSE" file for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

fsc(1), sbaz(1), scala(1), scalac(1)